Unknown GPIB Error in NI MAX After Upgrading LabVIEW

Updated Apr 17, 2018

Reported In

Software

  • LabVIEW

Driver

  • NI-488.2

Issue Details

I've recently upgraded from LabVIEW 8.2.1 to LabVIEW 2015 and whenever I select my hardware in NI MAX, I receive an "Unknown GPIB Error".

Solution

To fix the error:
  1. Uninstall the NI-488.2 driver. 
  2. Check the NI-488.2 and LabVIEW Version Compatibility and the NI-488.2 Driver Versions for Microsoft Windows, MacOS and Linux for the compatible driver version for your LabVIEW and Operating System.
  3. Download and install the NI-488.2 driver from ni.com/drivers

WAS THIS ARTICLE HELPFUL?

Not Helpful